Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451958 - kontact unusable due to abi changes in kdelibs and lack of updated kdepimlibs.
Summary: kontact unusable due to abi changes in kdelibs and lack of updated kdepimlibs.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepimlibs
Version: rawhide
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: http://www.mail-archive.com/debian-bu...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 11:46 UTC by Karl Abbott
Modified: 2008-06-18 12:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-18 12:00:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 486332 None None None Never

Description Karl Abbott 2008-06-18 11:46:31 UTC
Description of problem:

Any application linked against /usr/lib/libkdepim.so.4 becomes unusable with the
latest rawhide stack (6/18/2008 at 7:30 am UTC-400). This is because kdelibs was
updated and has an abi change. Kdepimlibs needs to now also be updated to
reflect the new abi changes.

Version-Release number of selected component (if applicable):

[karl1@dhcp243-141 ~]$ rpm -q kdepim-libs
kdepim-libs-4.0.80-2.fc10.i386
[karl1@dhcp243-141 ~]$ rpm -q kdelibs
kdelibs-4.0.82-1.fc10.i386


How reproducible:

Always

Steps to Reproduce:
1. Launch Kontact or KMail
2.
3.
  
Actual results:

[karl1@dhcp243-141 ~]$ kontact
kontact: symbol lookup error: /usr/lib/libkdepim.so.4: undefined symbol:
_ZN13KRichTextEdit17mouseReleaseEventEP11QMouseEvent



Expected results:

Program Runs.

Additional info:

The debian folks have run into this too -- the URL on this bug links to their
bug information.

Comment 1 Rex Dieter 2008-06-18 12:00:05 UTC
Our upgrade to 4.0.82 was stalled to unrelated buildsys blockages on ppc/ppc64
platform yesterday.

Will be fixed in rawhide today.

Comment 2 Karl Abbott 2008-06-18 12:02:29 UTC
Thanks for the update Rex!

Karl


Note You need to log in before you can comment on or make changes to this bug.